# /etc/talkd.conf
#
# Administrator config file for ktalkd, the talk daemon by David Faure
#
# Wait for actual ktalkd to terminate before changes are taken into account.
# 
# Boolean values can be 0/1, off/on, false/true
# Syntax : "key: value"  (no space between key and ':')
# If a key is absent, the value set at compile time will be set.

###### SECTION 1 : Administrator settings

# Mail sender (can be mail.local, sendmail(preferred), qmail(as good:)) )
#  mail.local is included in the dist., just in case you don't have sendmail
MailProg: mail.local

# What should I do if somebody tries to talk to a non-existent user ?
# 0 :  Launch answer machine saying 'non-existent user...' 
#                  and 'I' receive the message (to know that it happened)
# 1 :  'I' take the talk. (The names of caller & callee appear to 'I')
# 2 :  Do nothing. ('Not logged' will appear to caller).
NEUBehaviour: 2

# (Multi-user secured host : set Behaviour: 2).
# (Multi-user host : set Behaviour: 0 and User: root or postmaster)
# (Almost single-user networked PC : set Behaviour: 1 and User: your_user_name)

# If you choose 0, then you can set the following
#   (no internationalization possible : this file is manually read by ktalkd)
NEUBanner1: The person you're asking to talk with is unknown at this host.
NEUBanner2: You may have mistyped the name, or network address. Try again
NEUBanner3: or leave a message which will be sent to the system administrator.

# Who is 'I' ?  (=> who should take the talk / receive the message)
NEUUser: 

# If NEUBehaviour is 1  ('I' take the talk), which forward method to use ?
# Choose FWT if your machine is on two separate networks, and if you (NEUUser)
# plan to set a forward. FWR is ok (and lighter) in all other cases.
NEUForwardMethod: FWR


##### SECTION 2 : Default values that users can overwrite

# Set to 1 to activate answering machine
# Warning : if set to 0, no user will be able to activate it.
# (The value won't overwrite this one).
Answmach: 1
 
# Set this to 1 to enable X-aware announcement.
# (Currently impossible without KDE)
XAnnounce: 0
 
# Set this to 'off' if all you want is a beep to notify you of talk
# requests, to 'on' if you want to play an audio file instead.
Sound: off
 
# Define this to the full path of the sound file you wish to
# have played when you receive talk requests. It may be of
# any format, as long as the player defined below is capable
# of playing it.
SoundFile: /usr/lib/talkd/talk.wav
 
# Set this to the command you will be using to play audio
# files. This can be any .wav, .au, .snd or whatever player,
# just so long as it will play the format that your chosen
# audio file is in.
SoundPlayer: /usr/local/bin/wavplay
SoundPlayerOpt: -q
# ==> SoundPlayer + SoundPlayerOpt = /usr/local/bin/wavplay -q
 
# Contents of the talk request, 3 lines.
# First one must include %d:%02d for the time of the request
# Second one must include a '%s' for the caller name and machine
# Third one must include %s, for caller address
Announce1: Message from Talk_Daemon at %d:%02d ...
Announce2: talk: connection requested by %s.
Announce3: talk: respond with: talk %s

# Time in seconds between "Ringing your party again" and launching answering
# machine (not very important) (can't be overridden by users)
Time: 10
